#!/usr/bin/perl

use strict;
use CGI ;
use CGI::Carp qw(fatalsToBrowser) ;

my $objCgi = CGI->new();

print $objCgi->header(  -type    =>'text/html',
                        -expires =>'+10s',
                        -cache_control => 'no-store, no-cache, must-revalidate',
                        -pragma => 'no-cache' );

my $strClosed      = $objCgi->param("closed");
my $strFlowChartId = $objCgi->param("flowChartId");

print qq~
<html>

<head>
<title>WebFlowChart v0.8.8</title>
</head>

<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" link="#324C63" vlink="#ABBACA" alink="#ABBACA">

<table border="0" width="770" height="23" cellspacing="0" cellpadding="0">
  <tr>
    <td width="39" valign="middle" height="23" bgcolor="#ABBACA">&nbsp;</td>
    <td width="11" valign="middle" bgcolor="#324C63" height="23"><font color="#FFFFFF">&nbsp;&nbsp;
      </font></td>
    <td width="411" valign="middle" bgcolor="#324C63" height="23"><font face="Trebuchet MS" size="2" color="#FFFFFF"><b>WebFlowChart v0.8.8</b></font></td>
    <td width="15" valign="top" rowspan="4" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="309" valign="middle" bgcolor="#FFFFFF" height="23">&nbsp;</td>
  </tr>
  <tr>
    <td width="39" valign="top" height="23" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="11" valign="top" bgcolor="#FFFFFF" height="23">&nbsp;</td>
    <td width="411" valign="top" bgcolor="#FFFFFF" height="23"><font face="Trebuchet MS" color="#324C63" size="4"><b><br>
      </b>Welcome to the WebFlowChart v0.8.8 Demo.</font></td>
    <td width="309" valign="top" bgcolor="#FFFFFF" height="23"><img border="0" src="img/logo.gif" width="309" height="60"></td>
  </tr>
  <tr>
    <td width="39" valign="top" height="28" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="11" valign="top" bgcolor="#FFFFFF" height="28">&nbsp;</td>
    <td width="411" valign="top" bgcolor="#FFFFFF" height="28">&nbsp;</td>
    <td width="309" valign="top" bgcolor="#FFFFFF" height="28">&nbsp;</td>
  </tr>
  <tr>
    <td width="39" valign="top" height="23" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="422" valign="top" bgcolor="#EAEEF2" height="23" colspan="2">
      <table border="0" width="100%" height="100%" cellspacing="4" cellpadding="0">
        <tr>
~;
if( !defined $strClosed ) {
    #if applet was not closed
    print '<td width="100%" vAlign="top"><img border="0" src="img/preview.gif" width="414"></td>';
}
elsif( defined $strFlowChartId&&
       $strFlowChartId ne "-1" ) {
    #if applet was closed and flowchart was saved
	print '<td width="100%" vAlign="top"><a href="./datastore/'.$strFlowChartId.'.png" target="_blank"><img src="./datastore/'.$strFlowChartId.'.png" width="414" border="0" alt="flow chart" title="Click to view the flow chart in original size."></a></td>';
}
else {
    print '<td width="100%" vAlign="top"><img border="0" src="img/preview.gif" width="414"></td>';
}

print qq~
         </tr>
       </table>
    </td>
    <td width="309" valign="top" bgcolor="#EBEFF3" height="23">
      <table border="0" width="309" height="100%" cellspacing="0" cellpadding="0" bgcolor="#EBEFF3">
        <tr>
          <td width="15" valign="top">&nbsp;</td>
          <td width="264" valign="top"><br>
          <font face="Trebuchet MS" size="2"><b>Information.</b><br><br></font>
~;

if( !defined $strClosed ) {
    #if applet was not closed
    print qq~
            <applet codebase="../../bin/" code="com.uo_components.webflowchart.Starter.class" archive="webflowchart.jar" name="" width="290" height="20" hspace="0" vspace="0" align="middle">
                <PARAM NAME="debuginfo" VALUE="false">
                <PARAM NAME="savepage" VALUE="../samples/perl/savepage.cgi">
                <PARAM NAME="loadpage" VALUE="../samples/perl/loadpage.cgi">
                <PARAM NAME="autotrigger" VALUE="true">
                <PARAM NAME="submitformats" VALUE="epf,png">
				<PARAM NAME="imagepath" VALUE="../skins/default/images">
                <PARAM NAME="id" VALUE="-1">
    ~;
    print '<PARAM NAME="urlafterclose" VALUE="http://'.$ENV{"HTTP_HOST"}.$ENV{"SCRIPT_NAME"}.'?closed=1&flowChartId={%id_placeholder%}">';
    print qq~
                <PARAM NAME="urlafterclosetarget" VALUE="_self">
            </applet>
            <br>
			<font face="Trebuchet MS" size="2">
				WebFlowChart needs a Java&#8482; 1.1 or higher VM which can be downloaded at
				<a href="http://www.java.com" target="_blank">http://www.java.com</a><br><br>
				You can edit and save your flow chart document, then close the editor and see what you've created.
            </font>
    ~;
}
elsif( defined $strFlowChartId&&
       $strFlowChartId ne "-1" ) {
    #if applet was closed and flowchart was saved
    print qq~
                <applet codebase="../../bin/" code="com.uo_components.webflowchart.Starter.class" archive="webflowchart.jar" name="" width="290" height="20" hspace="0" vspace="0" align="center">
                    <PARAM NAME="debuginfo" VALUE="false">
                    <PARAM NAME="savepage" VALUE="../samples/cgi/savepage.cgi">
                    <PARAM NAME="loadpage" VALUE="../samples/cgi/loadpage.cgi">
    				<PARAM NAME="imagepath" VALUE="../skins/default/images">
                    <PARAM NAME="autotrigger" VALUE="false">
                    <PARAM NAME="submitformats" VALUE="epf,png">
    ~;

    print  '<PARAM NAME="urlafterclose" VALUE="http://'.$ENV{"HTTP_HOST"}.$ENV{"SCRIPT_NAME"}.'?closed=1&flowChartId={%id_placeholder%}">';
    print qq~
                <PARAM NAME="urlafterclosetarget" VALUE="_self">
            </applet>
            <br>
			<font face="Trebuchet MS" size="2">
				Congratulations! You've just created a EPF flow chart document.
				You can see a thumbnail of your document on the left.<br>
				To view the resulting image in full size just click on the thumbnail.<br><br>
    ~;

    print 'The EPF document can be downloaded here: <a href="./datastore/'.$strFlowChartId.'.epf" >EPF-Document</a>';
    print qq~
            </font><br><br>
            <table border="0" cellspacing="0" cellpadding="0" width="100%">
            	<tr>
            		<td>
						<font face="Trebuchet MS" size="2">
							You can open the WebFlowChart editor and edit your flow chart by pressing the button:<br>
			            </font>
            		</td>
            		<td>&nbsp;</td>
            		<td>
			            <applet codebase="../../bin/" code="com.uo_components.webflowchart.TriggerButton.class" archive="webflowchart.jar" name="" width="32" height="32" hspace="0" vspace="0" align="right">
    ~;
    print '<PARAM NAME="id" VALUE="'.$strFlowChartId.'">';
    print qq~
							<PARAM NAME="imagepath" VALUE="../skins/default/buttonimages">
			        	</applet>
        			</td>
        		</tr>
        	</table><br>
    ~;
}
else {
     #if applet was closed without saving the flowchart
     print qq~
	            <applet codebase="../../bin/" code="com.uo_components.webflowchart.Starter.class" archive="webflowchart.jar" name="" width="290" height="20" hspace="0" vspace="0" align="center">
	                <PARAM NAME="debuginfo" VALUE="false">
	                <PARAM NAME="savepage" VALUE="../samples/perl/savepage.cgi">
	                <PARAM NAME="loadpage" VALUE="../samples/perl/loadpage.cgi">
					<PARAM NAME="imagepath" VALUE="../skins/default/images">
	                <PARAM NAME="autotrigger" VALUE="false">
	                <PARAM NAME="submitformats" VALUE="epf,png">
    ~;
    print  '<PARAM NAME="urlafterclose" VALUE="http://'.$ENV{"HTTP_HOST"}.$ENV{"SCRIPT_NAME"}.'?closed=1&flowChartId={%id_placeholder%}">';
    print qq~
	                <PARAM NAME="urlafterclosetarget" VALUE="_self">
	            </applet>
	            
	            <table border="0" cellspacing="0" cellpadding="0" width="100%">
	            	<tr><td colspan="3"><p>&#160;</p></td></tr>
	            	<tr>
	            		<td>
							<font face="Trebuchet MS" size="2">
								You can open the WebFlowChart editor and create a new Flow Chart by pressing the button:<br>
				            </font>
	            		</td>
	            		<td>&nbsp;</td>
	            		<td valign="bottom">
				            <applet codebase="../../bin/" code="com.uo_components.webflowchart.TriggerButton.class" archive="webflowchart.jar" name="" width="32" height="32" hspace="0" vspace="0" align="right">
								<PARAM NAME="id" VALUE="-1">
								<PARAM NAME="imagepath" VALUE="../skins/default/buttonimages">
				        	</applet>
	        			</td>
	        		</tr>
	        	</table><br>
				<font face="Trebuchet MS" size="2">
					Edit and save your flow chart document, close the editor and see what you've created
	            </font>
      ~;

}

print qq~
		  </td>
          <td width="15" valign="top">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
</table>

</body>

</html>
~ ;
